rpms/nss-util/devel nss-split-util.sh, 1.2, 1.3 nss-util-config.in, 1.2, 1.3 nss-util.pc.in, 1.2, 1.3

Dennis Gilmore ausil at fedoraproject.org
Thu Aug 20 20:50:19 UTC 2009


Author: ausil

Update of /cvs/pkgs/rpms/nss-util/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv26683

Added Files:
	nss-split-util.sh nss-util-config.in nss-util.pc.in 
Log Message:
add back the deleted files



Index: nss-split-util.sh
===================================================================
RCS file: nss-split-util.sh
diff -N nss-split-util.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ nss-split-util.sh	20 Aug 2009 20:50:18 -0000	1.3
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Splits NSS into nss-util 
+# Takes as command line input the version of nss
+# and assumes that a file nss-${nss_version}-stripped.tar.bz2
+# exits in the current directory
+
+set -e
+
+if test -z $1
+then
+  echo "usage: $0 nss-version"
+  exit
+fi
+
+export name=nss
+export version=$1
+
+echo "Extracting ${name}-${version}-stripped.tar.bz2"
+
+tar -xjf ${name}-${version}-stripped.tar.bz2
+
+# the directory will be named ${name}-${version}
+
+nss_source_dir=${name}-${version}
+util_dir=${name}-util-${version}
+softokn_dir=${name}-softokn-${version}
+
+# make_nss_util
+#-------------------------------------------------
+# create the nss-util subset consisting of
+#   mozilla/dbm                   --- full directory
+#   mozilla/security              --- top empty
+#   mozilla/security/coreconf     --- full directory
+#   mozilla/security/nss          --- top files only
+#   mozilla/security/nss/lib      --- top files only
+#   mozilla/security/nss/lib/util --- full directory
+#--------------------------------------------------
+
+UTIL_WORK=${util_dir}-work
+rm -rf ${UTIL_WORK}
+mkdir ${UTIL_WORK}
+
+# copy everything
+cp -a ${nss_source_dir} ${UTIL_WORK}/${util_dir}
+
+# remove subdirectories that we don't want
+rm -rf ${UTIL_WORK}/${util_dir}/mozilla/security/nss/cmd
+rm -rf ${UTIL_WORK}/${util_dir}/mozilla/security/nss/tests
+rm -rf ${UTIL_WORK}/${util_dir}/mozilla/security/nss/lib
+
+# start with an empty lib directory to be filled
+mkdir ${UTIL_WORK}/${util_dir}/mozilla/security/nss/lib
+# copy some files at the top and the util subdirectory recursively
+cp ${nss_source_dir}/mozilla/security/nss/lib/Makefile ${UTIL_WORK}/${util_dir}/mozilla/security/nss/lib
+cp ${nss_source_dir}/mozilla/security/nss/lib/manifest.mn ${UTIL_WORK}/${util_dir}/mozilla/security/nss/lib
+cp -a ${nss_source_dir}/mozilla/security/nss/lib/util ${UTIL_WORK}/${util_dir}/mozilla/security/nss/lib/util
+pushd ${UTIL_WORK}
+# the compressed tar ball for nss-util
+tar -cjf ../${name}-util-${version}.tar.bz2 ${util_dir}
+popd
+
+# cleanup after ourselves
+rm -fr ${nss_source_dir}
+rm -fr ${UTIL_WORK}
+
+
+


Index: nss-util-config.in
===================================================================
RCS file: nss-util-config.in
diff -N nss-util-config.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ nss-util-config.in	20 Aug 2009 20:50:18 -0000	1.3
@@ -0,0 +1,142 @@
+#!/bin/sh
+
+prefix=@prefix@
+
+major_version=@MOD_MAJOR_VERSION@
+minor_version=@MOD_MINOR_VERSION@
+patch_version=@MOD_PATCH_VERSION@
+
+usage()
+{
+	cat <<EOF
+Usage: nss-util-config [OPTIONS] [LIBRARIES]
+Options:
+	[--prefix[=DIR]]
+	[--exec-prefix[=DIR]]
+	[--includedir[=DIR]]
+	[--libdir[=DIR]]
+	[--version]
+	[--libs]
+	[--cflags]
+Dynamic Libraries:
+	nssutil
+EOF
+	exit $1
+}
+
+if test $# -eq 0; then
+	usage 1 1>&2
+fi
+
+lib_ssl=no
+lib_smime=no
+lib_nss=no
+lib_nssutil=yes
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      ;;
+    --prefix)
+      echo_prefix=yes
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      ;;
+    --exec-prefix)
+      echo_exec_prefix=yes
+      ;;
+    --includedir=*)
+      includedir=$optarg
+      ;;
+    --includedir)
+      echo_includedir=yes
+      ;;
+    --libdir=*)
+      libdir=$optarg
+      ;;
+    --libdir)
+      echo_libdir=yes
+      ;;
+    --version)
+      echo ${major_version}.${minor_version}.${patch_version}
+      ;;
+    --cflags)
+      echo_cflags=yes
+      ;;
+    --libs)
+      echo_libs=yes
+      ;;
+    ssl)
+      lib_ssl=no
+      ;;
+    smime)
+      lib_smime=no
+      ;;
+    nss)
+      lib_nss=no
+      ;;
+    nssutil)
+      lib_nssutil=yes
+      ;;
+    *)
+      usage 1 1>&2
+      ;;
+  esac
+  shift
+done
+
+# Set variables that may be dependent upon other variables
+if test -z "$exec_prefix"; then
+    exec_prefix=`pkg-config --variable=exec_prefix nssutil`
+fi
+if test -z "$includedir"; then
+    includedir=`pkg-config --variable=includedir nssutil`
+fi
+if test -z "$libdir"; then
+    libdir=`pkg-config --variable=libdir nssutil`
+fi
+
+if test "$echo_prefix" = "yes"; then
+    echo $prefix
+fi
+
+if test "$echo_exec_prefix" = "yes"; then
+    echo $exec_prefix
+fi
+
+if test "$echo_includedir" = "yes"; then
+    echo $includedir
+fi
+
+if test "$echo_libdir" = "yes"; then
+    echo $libdir
+fi
+
+if test "$echo_cflags" = "yes"; then
+    echo -I$includedir
+fi
+
+if test "$echo_libs" = "yes"; then
+      libdirs="-Wl,-rpath-link,$libdir -L$libdir"
+      if test -n "$lib_ssl"; then
+	libdirs="$libdirs -lssl${major_version}"
+      fi
+      if test -n "$lib_smime"; then
+	libdirs="$libdirs -lsmime${major_version}"
+      fi
+      if test -n "$lib_nss"; then
+	libdirs="$libdirs -lnss${major_version}"
+      fi
+      if test -n "$lib_nssutil"; then
+	libdirs="$libdirs -lnssutil${major_version}"
+      fi
+      echo $libdirs
+fi      
+


Index: nss-util.pc.in
===================================================================
RCS file: nss-util.pc.in
diff -N nss-util.pc.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ nss-util.pc.in	20 Aug 2009 20:50:19 -0000	1.3
@@ -0,0 +1,11 @@
+prefix=%prefix%
+exec_prefix=%exec_prefix%
+libdir=%libdir%
+includedir=%includedir%
+
+Name: NSS-UTIL
+Description: Network Security Services Utility Library
+Version: %NSSUTIL_VERSION%
+Requires: nspr >= %NSPR_VERSION%
+Libs: -lnssutil3
+Cflags: -I${includedir}




More information about the scm-commits mailing list